package cn.com.yict.framemax.frame.aggregation;

import cn.com.yict.framemax.frame.entity.LargeModelConfigEntity;
import cn.com.yict.framemax.frame.entity.TimBreEntity;

import java.util.List;

public interface ParamLargerModelConfigService {
    /**
     * 获取大模型列表
     *
     * @throws Exception
     */
    List<String> getLargeModel() throws Exception;

    LargeModelConfigEntity save(LargeModelConfigEntity largeModelConfigEntity) throws Exception;

    LargeModelConfigEntity update(LargeModelConfigEntity largeModelConfigEntity) throws Exception;

    /**
     * 查询音色列表
     *
     * @throws Exception
     */
    List<TimBreEntity> getTimBre() throws Exception;

}
